package cn.yyxx.commsdk.base.internal.feature;

import android.app.Activity;

import cn.yyxx.commsdk.base.entity.SdkRoleInfo;
import cn.yyxx.commsdk.base.internal.ICallback;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public interface IRoleData {

    void roleCreate(Activity activity, SdkRoleInfo roleInfo, ICallback callback);

    void roleLauncher(Activity activity, SdkRoleInfo roleInfo, ICallback callback);

    void roleUpgrade(Activity activity, SdkRoleInfo roleInfo, ICallback callback);
}
